Package org.apache.sling.servlets.resolver.internal.defaults

# Class DefaultServlet

java.lang.Object
jakarta.servlet.GenericServlet
org.apache.sling.api.servlets.SlingJakartaSafeMethodsServlet
org.apache.sling.servlets.resolver.internal.defaults.DefaultServlet

All Implemented Interfaces:
  `jakarta.servlet.Servlet`, `jakarta.servlet.ServletConfig`, `Serializable`

public class DefaultServlet extends org.apache.sling.api.servlets.SlingJakartaSafeMethodsServlet
The `DefaultServlet` is a very simple default resource handler.

The default servlet is not registered to handle any concrete resource type. Rather it is used internally on demand.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`DefaultServlet()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`doGet(org.apache.sling.api.SlingJakartaHttpServletRequest request, org.apache.sling.api.SlingJakartaHttpServletResponse response)`

### Methods inherited from class org.apache.sling.api.servlets.SlingJakartaSafeMethodsServlet

`doGeneric, doHead, doOptions, doTrace, getAllowedRequestMethods, getServletInfo, handleMethodNotImplemented, mayService, service, service`

### Methods inherited from class jakarta.servlet.GenericServlet

`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletName, init, init, log, log`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DefaultServlet

public DefaultServlet()

## Method Details

### doGet

protected void doGet(org.apache.sling.api.SlingJakartaHttpServletRequest request, org.apache.sling.api.SlingJakartaHttpServletResponse response) throws IOException

Overrides:
  `doGet` in class `org.apache.sling.api.servlets.SlingJakartaSafeMethodsServlet`
Throws:
  `IOException`